phase = 02
version = 1
name = MichaelChen

solutionname = Solution_Phase$(phase)_$(name)
target = $(solutionname)_V$(version).zip
package = $(solutionname).pdf Phase02_Task2_ACTS_System.txt Phase02_Task2_ACTS_System.result.txt JSONScannerTest.java
latexmkflags =
actspath = "C:\\Program Files (x86)\\ACTS\\acts_3.2.jar"

.PHONY : all dev

all : $(target)

dev : latexmkflags = -pvc
dev : all

$(target) : $(package)
	zip -FSr $(target) $(package)

%.pdf : %.tex
	latexmk -jobname="$*" $(latexmkflags) -pdf $<

%_System.result.txt : %_System.txt
	java -Xmx8192M -jar $(actspath) $< $@
